import { filter } from 'lodash'

export const muteWordHits = (status, muteWords) => {
  const statusText = status.text.toLowerCase()
  const statusSummary = status.summary.toLowerCase()

  const hits = filter(muteWords, (muteWord) => {
    muteWord = muteWord.toLowerCase()

    let res = statusText.includes(muteWord) || statusSummary.includes(muteWord)

    for (let attachment of status.attachments) {
      res |= attachment.description?.toLowerCase().includes(muteWord)
    }

    return res
  })

  return hits
}
